Page MenuHomePhabricator

move bots out of #wikidata IRC channel
Closed, ResolvedPublic1 Story Points

Description

People are rightfully complaining about all the bots that are in the #wikidata IRC channel posting commits and bug updates. We should move them to another dedicated notification channel. This channel should be used only for these notifications, not for discussions. They should continue in #wikidata.

@Addshore: You have a script for this for github at least?

Event Timeline

Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a project: Wikidata.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2015, 2:17 PM

Name suggestions?

aude added a comment.Jun 11 2015, 2:35 PM

@Lydia_Pintscher it's trivial to move gerrit and wikibugs bots, and think github is also easy (a setting?)

I don't really care about having bots in the channel, I do care about the amount of noise these bots are creating. The focus should be on improving the Signal-to-noise ratio.

  • Wikibugs should probably only report bugs with status "unbreak now!" in the Wikidata channel, all bugs should probably be reported in wikimedia-dev and as a new channel name suggestion wikidata-dev
  • AsimovBot: Kickban that bot.
  • wm-bot: What was the function of that one again? Doesn't seem to be very noisy.
  • gerrit-bot: Should probably start reporting to wikidata-dev. Maybe only report merged patches in the main channel?
  • Some bot that reports that the build is broken? Not sure what the name is. Probably both main and wikidata-dev?

https://www.wikidata.org/wiki/Wikidata:IRC should probably be updated with the new channel and the different bots floating around.

Addshore added a comment.EditedJun 15 2015, 10:16 AM

For the github repos we simply change this one line and re run the script:
https://github.com/wmde/github-hook-updater/blob/master/run.php#L7

-AsimovBot: No idea where it cam from or where it appear but it seems to be doing more noise than good
-wm-bot: Gives us commands like !lydia and !nyan ;p It is quiet unless you want it to say things!

The other bots are:
gh-datavales - Github DataValues repo updates
gh-wmde - Github wmde repo updates
gerrit-bot - All the gerrit updates
Wikibugs - All the phab updates
travis-ci - All the travis stuff

#Wikidata-dev could be good?
Moving everything is easy

I dislike the name #wikidata-dev as it suggests a separate channel for development work. I'd suggest: #wikidata-flood or #wikidata-bots

Or #wikidata-feed which would then be similar to #mediawiki-feed

Am 15.06.2015 um 12:33 schrieb Addshore:

Addshore added a comment.
Or #wikidata-feed which would then be similar to #mediawiki-feed

+1

I dislike the name #wikidata-dev as it suggests a separate channel for development work. I'd suggest: #wikidata-flood or #wikidata-bots

Yeah, we want to get rid of you guys! ;-)
#wikidata-feed sounds fine to me
(why don't we have a bikeshedding project in Phabricator? That would be so awesome!)

The Github bot is the most noisy imo. I already asked what the function of AsimovBot in our channel was, no useful response. We do use wm-bot, that one needs to stay. :)

Yeah please no -dev channel but -flood, -feed or -bots instead

I have registered #wikidata-feed and set Lydia with all of the permissions, mwahahaa.
I'll prepare patches for them all at some point and move all of the bots at once (so people don't get confused as to where they should be looking!)

Change 218356 had a related patch set uploaded (by Addshore):
Change Wikidata to #wikidata-feed

https://gerrit.wikimedia.org/r/218356

Change 218357 had a related patch set uploaded (by Addshore):
Change Wikidata to #wikidata-feed

https://gerrit.wikimedia.org/r/218357

wm-bot does logging, so it needs to stay in #wikidata.

Change 218356 merged by jenkins-bot:
Change Wikidata to #wikidata-feed

https://gerrit.wikimedia.org/r/218356

Change 218357 merged by jenkins-bot:
Change Wikidata to #wikidata-feed

https://gerrit.wikimedia.org/r/218357

Grrrit-wm and wikibugs have been moved.

Addshore closed this task as Resolved.EditedJun 15 2015, 8:16 PM

All github patches merged and the script has been run!

New location of all of the bot noise is in #wikidata-feed

matej_suchanek removed a project: Patch-For-Review.
matej_suchanek removed a subscriber: gerritbot.
Tobi_WMDE_SW edited a custom field.Jun 16 2015, 2:14 PM